# optv

Traditional black-white optical animation is now resurrected as a real-time video effect. Input images are binarized and combined with various optical pattern.

## Example launch line

     gst-launch-1.0 -v videotestsrc ! optv ! videoconvert ! autovideosink

This pipeline shows the effect of optv on a test stream.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──optv

## Factory details

Authors: – FUKUCHI, Kentarou , Sebastian Dröge

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – effectv

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { BGRx, RGBx }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { BGRx, RGBx }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### mode

    “mode” Op-tvmode *

Mode

Flags : Read / Write

Default value : maelstrom (0)

### speed

    “speed” gint

Effect speed

Flags : Read / Write

Default value : 16

### threshold

    “threshold” guint

Luma threshold

Flags : Read / Write

Default value : 60

## Named constants

### Op-tvmode

#### Members

`maelstrom` (0) – Maelstrom
`radiation` (1) – Radiation
`horizontal-stripes` (2) – Horizontal Stripes
`vertical-stripes` (3) – Vertical Stripes

The results of the search are